Bug 69716 - libpng security update
libpng security update
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: libpng (Show other bugs)
7.2
All Linux
high Severity medium
: ---
: ---
Assigned To: wdovlrrw
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-24 15:34 EDT by Rodney Dawes
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-19 04:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodney Dawes 2002-07-24 15:34:40 EDT
Versions of libpng prior to 1.2.4 and 1.0.14 have a buffer overflow
vulnerability that could lead to remote code execution. Since libpng is
used by programs that talk to the outside world (i.e. mozilla), it is
worth upgrading. 

libpng is the official PNG reference library. It supports almost all PNG
features, is extensible, and has been extensively tested for over five
years.

http://lwn.net/Alerts/5008/
Comment 1 Mark J. Cox (Product Security) 2002-08-13 08:03:11 EDT
Errata in progress
Comment 2 Mark J. Cox (Product Security) 2002-08-19 04:22:57 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-151.html

Note You need to log in before you can comment on or make changes to this bug.